package com.zzsn.modules.kgj.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;


/**
 * 情报分类Model
 * @author 刘小鹏
 * @date 2015-10-25 14:13
 * @company 郑州数能软件科技有限公司
 */
@JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
@TableName("CIS_ANS_BASEDATA_TYPE")
public class BasedataType {


		public static final Long ISNOTWARNINFO = 0L;//机器判断不是重大舆情
		public static final Long ISWARNINFO = 1L;//机器判断是重大舆情
		public static final Long ISNOTWARNINFOBYPERSON = 2L;//人工审核  判断不是重大舆情
		public static final Long ISWARNINFOBYPERSON = 3L;//人工审核  判断是重大舆情
		public static final Long ISNOWARNINFOPUSH = 0L;//未推送
		public static final Long ISWARNINFOPUSHED = 1L;//已推送

		//columns START
        /**
         * bid       db_column: ID 
         */     
        private Long id;
	    /**
	     * bid       db_column: BID 
	     */ 	
		private Long bid;
	    /**
	     * tid       db_column: TID 
	     */ 	
		private Long tid;
	    /**
	     * orgId       db_column: ORG_ID 
	     */ 	
		private Long orgId;
		private Long mark;
		private Long delflag;
		private Long repeat;
		private Long briefmark;
		private String checkDate;
		private String checkName;
		private Long relevance;
		private String infotype;
		private String tids;
		private String createDate;
		private String publishDate;
		private String orientation;
		//0：机器判断非重大舆情；1:机器判断是重大舆情；2：人工审核不是重大舆情；3：人工审核是重大舆情； 其他也表示非重大舆情
		private Long warnInfo;
		//0:未推送；1：已推送；其他也表示未推送
		private Long warnInfoPush;
		//关联关键词
		private String matchKeywords;
		private Long hotvalue;
		//IS_FIRST_PUBLISH   是否是首发信息；  0：不是首发信息；1：是首发信息
		private Long isFirstPublish;
		//FIRST_PUBLISH_BID  首发信息ID； 当当前信息是首发信息时，该字段为空；当当前信息不是首发时，此信息为当前信息的首发信息ID
		private Long firstPublishBid;
		
		private Long repeatFilter;
		
		public Long getRepeatFilter() {
			return repeatFilter;
		}
		public void setRepeatFilter(Long repeatFilter) {
			this.repeatFilter = repeatFilter;
		}
		public Long getHotvalue() {
			return hotvalue;
		}
		public void setHotvalue(Long hotvalue) {
			this.hotvalue = hotvalue;
		}
		public Long getRepeatcount() {
			return repeatcount;
		}
		public void setRepeatcount(Long repeatcount) {
			this.repeatcount = repeatcount;
		}
		private Long repeatcount;
		//columns END
		

		public Long getBid() {
			return bid;
		}
		public void setBid(Long bid) {
			this.bid = bid;
		}
		public Long getTid() {
			return tid;
		}
		public void setTid(Long tid) {
			this.tid = tid;
		}
		public Long getOrgId() {
			return orgId;
		}
		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}
        public Long getId() {
            return id;
        }
        public void setId(Long id) {
            this.id = id;
        }
		public Long getMark() {
			return mark;
		}
		public void setMark(Long mark) {
			this.mark = mark;
		}
		public Long getDelflag() {
			return delflag;
		}
		public void setDelflag(Long delflag) {
			this.delflag = delflag;
		}
		public Long getRepeat() {
			return repeat;
		}
		public void setRepeat(Long repeat) {
			this.repeat = repeat;
		}
		public Long getBriefmark() {
			return briefmark;
		}
		public void setBriefmark(Long briefmark) {
			this.briefmark = briefmark;
		}
		public String getCheckDate() {
			return checkDate;
		}
		public void setCheckDate(String checkDate) {
			this.checkDate = checkDate;
		}
		
		public String getCheckName() {
			return checkName;
		}
		public void setCheckName(String checkName) {
			this.checkName = checkName;
		}
		public Long getRelevance() {
			return relevance;
		}
		public void setRelevance(Long relevance) {
			this.relevance = relevance;
		}
		public String getInfotype() {
			return infotype;
		}
		public void setInfotype(String infotype) {
			this.infotype = infotype;
		}
		public String getTids() {
			return tids;
		}
		public void setTids(String tids) {
			this.tids = tids;
		}
		public String getCreateDate() {
			return createDate;
		}
		public void setCreateDate(String createDate) {
			this.createDate = createDate;
		}
		public String getPublishDate() {
			return publishDate;
		}
		public void setPublishDate(String publishDate) {
			this.publishDate = publishDate;
		}
		public String getOrientation() {
			return orientation;
		}
		public void setOrientation(String orientation) {
			this.orientation = orientation;
		}
		public Long getWarnInfo() {
			return warnInfo;
		}
		public void setWarnInfo(Long warnInfo) {
			this.warnInfo = warnInfo;
		}
		public Long getWarnInfoPush() {
			return warnInfoPush;
		}
		public void setWarnInfoPush(Long warnInfoPush) {
			this.warnInfoPush = warnInfoPush;
		}
		public String getMatchKeywords() {
			return matchKeywords;
		}
		public void setMatchKeywords(String matchKeywords) {
			this.matchKeywords = matchKeywords;
		}
		public Long getIsFirstPublish() {
			return isFirstPublish;
		}
		public void setIsFirstPublish(Long isFirstPublish) {
			this.isFirstPublish = isFirstPublish;
		}
		public Long getFirstPublishBid() {
			return firstPublishBid;
		}
		public void setFirstPublishBid(Long firstPublishBid) {
			this.firstPublishBid = firstPublishBid;
		}

	
}
